Search devices

Use this method to return a [paginated](https://docs.payroc.com/api/pagination) list of devices associated with a merchant's API key or an ISV's API key. Use the query parameters to filter the list of results that we return, for example, to search for devices by their model. Our gateway returns the following information about each device in the list: - Unique identifier that we assigned to the device. - Serial number of the device. - Key serial identifier (KSI) of the device. - Device model or type of device. - Date that our gateway added the device to our systems. - Information about the last transaction that the device processed.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

beforestringOptional

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterstringOptional

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitintegerOptional<=100Defaults to 10
Limit the maximum number of results that we return for each page.
activebooleanOptional
Filter by the device status. Send one of the following values: - `true` – Return only active devices. - `false` – Return only inactive devices.
serialNumberstringOptional1-64 characters
Filter by the serial number of the device.
ksistringOptional1-16 characters

Filter by the key serial identifier (KSI) of the device.

modelstringOptional1-30 characters
Filter by the model or type of the device.

Response

Successful request. Returns a list of devices associated with the API key.
limitinteger
Maximum number of results that we return for each page.
countinteger

Number of results we returned on this page.

Note: This might not be the total number of results that match your query.

hasMoreboolean
Indicates whether there is another page of results available.
datalist of objects
Array of device objects. Each object contains information about a device.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
500
Internal Server Error